apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: xand-api
  annotations:
    kubernetes.io/tls-acme: "true"
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/backend-protocol: "GRPC"
spec:
  tls:
    - hosts:
        - {INSERT_URL_HERE}
      secretName: {INSERT_SECRET_URL_HERE}
  rules:
    - host: {INSERT_URL_HERE}
      http:
        paths:
          - backend:
              service:
                name: validator
                port:
                  number: 10044
            path: /
            pathType: ImplementationSpecific
